> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch adminsettinglogo

> Upload logo



## OpenAPI

````yaml /swagger.json patch /admin/setting/logo
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /admin/setting/logo:
    patch:
      tags:
        - admin
      description: Upload logo
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
              required:
                - file
      responses:
        '200':
          description: Successfully upload logo.
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                required:
                  - url
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request PATCH \
              --url https://app.teable.ai/api/admin/setting/logo \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: multipart/form-data' \
              --form file=string
        - lang: JavaScript
          source: >-
            const url = 'https://app.teable.ai/api/admin/setting/logo';

            const form = new FormData();

            form.append('file', 'string');


            const options = {method: 'PATCH', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            options.body = form;


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: >-
            const http = require('https');


            const options = {
              method: 'PATCH',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/setting/logo',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };


            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });


            req.write('-----011000010111000001101001\r\nContent-Disposition:
            form-data;
            name="file"\r\n\r\nstring\r\n-----011000010111000001101001--\r\n');

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload = "-----011000010111000001101001\r\nContent-Disposition:
            form-data;
            name=\"file\"\r\n\r\nstring\r\n-----011000010111000001101001--\r\n"


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("PATCH", "/api/admin/setting/logo", payload, headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````